-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.37 SP9 security update
Advisory ID:       RHSA-2021:3745-01
Product:           Red Hat JBoss Core Services
Advisory URL:      https://access.redhat.com/errata/RHSA-2021:3745
Issue date:        2021-10-07
CVE Names:         CVE-2021-40438 
=====================================================================

1. Summary:

Red Hat JBoss Core Services Apache HTTP Server 2.4.37 Service Pack 9 zip
release for Red Hat Enterprise Linux 7, Red Hat Enterprise Linux 8, and
Microsoft Windows is available.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Description:

Red Hat JBoss Core Services is a set of supplementary software for Red Hat
JBoss middleware products. This software, such as Apache HTTP Server, is
common to multiple JBoss middleware products, and is packaged under Red Hat
JBoss Core Services to allow for faster distribution of updates, and for a
more consistent update experience.

This release adds the new Apache HTTP Server 2.4.37 Service Pack 9 packages
that are part of the JBoss Core Services offering.

This release serves as a replacement for Red Hat JBoss Core Services Apache
HTTP Server 2.4.37 Service Pack 8 and includes an important security
update. Refer to the Release Notes for information on the security fix
included in this release.

Security Fix(es):

* httpd: mod_proxy: SSRF via a crafted request uri-path (CVE-2021-40438)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

3. Solution:

Before applying the update, back up your existing installation, including
all applications, configuration files, databases and database settings, and
so on.

The References section of this erratum contains a download link for the
update. You must be logged in to download the update.

4. Bugs fixed (https://bugzilla.redhat.com/):

2005117 - CVE-2021-40438 httpd: mod_proxy: SSRF via a crafted request uri-path containing "unix:"

5. References:

https://access.redhat.com/security/cve/CVE-2021-40438
https://access.redhat.com/security/updates/classification/#important

6. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYV73wtzjgjWX9erEAQiVmhAAnCC3Kr3M5ildcWdsuMpENqdrpwccc81U
j4BP6ZFB5RWb8Ea6gaaySoEwowKURYs9mFvmqlk0Sl0HTnSzU2dM6LjlgkyP1/1j
RLG040jLasTX1Hp6z03s3RBgnm7Hbsc7Oo4uFNhVWDMYqnGO76sqrJeVXPHc5IKl
UXd++phIL2xFnFhcDIq63FqCIrrkHEp9c0SVJwFhtfqcmN9fg7WvY7ldN3IJljAp
wVy/fuRQe+7C1ZfwjFx0bmgTfgknTZubBO7QXOOjyo87B74e5h8sCIzYiEg3LoEZ
w+JhWTXDUQQXiwOHv0huNXT8ZnFuLETGVUxuqqFJsp04WGNvg34obrBYt9wL51On
nmFPwgLlAcvZA7ctyIj2xKtW2oM6lvQpJOuqVPmmmBsnWfzzD2fWrcYBzMb28oSn
VDIQbstVckVfDXxIJmLEwx15CUT3BBNe0VSyn0JjnbBbfmuEfkviuByMFHVjbOMv
Y/3eh54c3NQxZqi6CMVm0rwKhLwHv+7dqqZldkYIEHnaXyreG0I+dVnOmQeo0+Mt
ORnOpAJ5NtePmLj7XOBz2PGSzT5J6uCIzm8gTDieSh8XUkjQbtCqwjVUyPSWkNnK
VdvEe5ThB06XSFBi/V7bRAlgnzscQlSwQKRIJ24xyTQb4qpgwj62kaZ6Hfyucod2
+DEz28bOcPg=
=DiOy
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce